Importing SLD with external SVG-files causes program freeze
Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 24323

Description

I am trying to use SLD’s that contain SVG’s that exists on the web (example: 

https://upload.wikimedia.org/wikipedia/commons/f/fd/Ghostscript_Tiger.svg).

This works correctly in QGIS if I define the SVG-symbol with the given link, as in copy the link into the field for file-path to the symbol.

It also looks like the SLD is written correctly if you try to do an export.

However if you try to load the SVG you exported, QGIS will freeze and you will have to force the program to close.

I guess that there is some problem with saving temp SVG-files.

Example SLD-file:

<StyledLayerDescriptor xmlns="http://www.opengis.net/sld" xmlns:ogc="http://www.opengis.net/ogc"

xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.1.0" xmlns:xlink="http://www.w3.org/1999/xlink"

xsi:schemaLocation="http://www.opengis.net/sld http://schemas.opengis.net/sld/1.1.0/StyledLayerDescriptor.xsd"

xmlns:se="http://www.opengis.net/se">

  <NamedLayer>

    <se:Name>Point</se:Name>

    <UserStyle>

      <se:Name>Point</se:Name>

      <se:FeatureTypeStyle>

        <se:Rule>

          <se:Name>Single symbol</se:Name>

          <se:PointSymbolizer>

            <se:Graphic>

              <se:ExternalGraphic>

                <se:OnlineResource xlink:type="simple"

xlink:href="https://upload.wikimedia.org/wikipedia/commons/f/fd/Ghostscript_Tiger.svg"/>

                <se:Format>image/svg+xml</se:Format>

              </se:ExternalGraphic>

              <se:Size>12</se:Size>

            </se:Graphic>

          </se:PointSymbolizer>

        </se:Rule>

      </se:FeatureTypeStyle>

    </UserStyle>

  </NamedLayer>
</StyledLayerDescriptor>

History

#1 - 2017-04-21 01:44 AM - Henrik Schuller

- Target version changed from Version 2.18 to Future Release - High Priority

#2 - 2017-04-30 12:14 PM - Giovanni Manghi

- Target version changed from Future Release - High Priority to Version 3.0

- Description updated

- Priority changed from Normal to High

It affects also 2.18.7 and qgis3/master.

#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2017-10-14 11:03 AM - Andrea Aime

- Subject changed from Using SLD with external SVG-files. to Importing SLD with external SVG-files causes program freeze

#5 - 2018-11-08 01:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
